// File: KreisV.cc

#include <KreisV.h>

const float Kreis::PI = 3.14159265389;

Kreis::Kreis(const Punkt& _MittelPunkt, float _Radius)
: MittelPunkt(_MittelPunkt), Radius(_Radius){}

Kreis::Kreis(const Kreis &right)
: MittelPunkt(right.MittelPunkt), Radius(right.Radius){}

const Kreis & Kreis::operator=(const Kreis &right)
{
  if(this != &right)
  {
    MittelPunkt = right.MittelPunkt;
    Radius = right.Radius;
  }
  return *this;
}

float Kreis::flaeche() const
{
  return (Radius * Radius * PI);
}
