// File: NamTitel.cc

#include <NamTitel.h>

NamemitTitel::NamemitTitel(const char* _Titel, const Name& _Name)
: Name(_Name)  // Name::Name(const Name&) not explicitely defined
{
  pTitel = new String(_Titel);
}

NamemitTitel::NamemitTitel(const char* _Titel,
     const char* _Vorname, const char* _Familienname)
: Name(_Vorname, _Familienname)
{
  pTitel = new String(_Titel);
}

NamemitTitel::~NamemitTitel()
{
  delete pTitel;
}

ostream& NamemitTitel::printOn(ostream& ros) const
{
  ros << (*pTitel) << " ";
  return Name::printOn(ros);
}
