// File: ManName.h

/*#include <String.h>*/
#include <string>
#include <Name.h>

typedef string String;

class NameManip
{
  typedef ostream& (Name::*NameManipFunc)(ostream&) const;

  NameManipFunc pF;
  const Name& rN;

public:
  NameManip(NameManipFunc _pF, const Name& _rN)
  : pF(_pF), rN(_rN){}

friend ostream& operator<<(ostream&, NameManip);
};

inline NameManip PrintName(const Name& rN)
{
  return NameManip(&(Name::printOn), rN);
}

inline ostream& operator<<(ostream& ros, NameManip M)
{
  return ((M.rN).*(M.pF))(ros);
}
