// File: RchteckN.h

#ifndef Rechteck_h
#define Rechteck_h 1

#include <PROTECT/GeoObjN.h>
#include <PunktN.h>

class Rechteck : public GeoObj  
{
private:
  Punkt EckPunkt[2];

protected:
  virtual int CompareTo(const GeoObj*) const;

public:
  Rechteck(const Punkt& = Punkt(.0, .0),
           const Punkt& = Punkt(.0, .0));
  Rechteck(const Rechteck &right);
    
  const Rechteck & operator=(const Rechteck &right);
      
  const Punkt get_EckPunkt(const int index) const;
  void set_EckPunkt(const int index, const Punkt value);
      
  virtual float flaeche() const;
  virtual String GetTypeString() const;
};

inline const Punkt Rechteck::get_EckPunkt(const int index) const
{
  return EckPunkt[index];
}

inline void Rechteck::set_EckPunkt(const int index, const Punkt value)
{
  EckPunkt[index] = value;
}

#endif
