// File: PunktN.cc

#include <PunktN.h>

Punkt::Punkt(float _x, float _y)
: x(_x), y(_y) {}

int operator==(const Punkt& left, const Punkt& right)
{
  return ((left.x == right.x)
       && (left.y == right.y));
}

int operator!=(const Punkt& left, const Punkt& right)
{
  return ((left.x != right.x)
       || (left.y != right.y));
}

ostream& operator<<(ostream& ros, const Punkt& pos)
{
  return (ros << pos.x << " " << pos.y);
}

istream& operator>>(istream& ris, Punkt& pis)
{
  return (ris >> pis.x >> pis.y);
}
