// File: RchtckRV.h

#ifndef RechteckRund_h
#define RechteckRund_h 1

#include <RchteckV.h>

class RechteckRund : public Rechteck  
{
private:
  static const float PI;
  float Radius;

public:
  RechteckRund(const Punkt& = Punkt(.0, .0),
               const Punkt& = Punkt(.0, .0), float = .0);
  RechteckRund(const RechteckRund &right);
    
  const RechteckRund & operator=(const RechteckRund &right);
    
  const float get_Radius() const;
  void set_Radius(const float value);

  virtual float flaeche() const;
};

inline const float RechteckRund::get_Radius() const
{
  return Radius;
}

inline void RechteckRund::set_Radius(const float value)
{
  Radius = value;
}

#endif
