// File: ZGeoObjX.cc

#include <ZGeoObjX.h>

ZGeoObj::ZGeoObj()
: Count(0)
{
  for(int i = 0; i < MAX; i++)
    GeoObjs[i] = NULL;
}

ZGeoObj::ZGeoObj(const ZGeoObj &right)
{
// Copy Pointers:
  Count = right.Count;
  int i;
  for(i = 0; i < Count; i++)
    GeoObjs[i] = right.GeoObjs[i];
  for(; i < MAX; i++)
    GeoObjs[i] = NULL;
}

const ZGeoObj& ZGeoObj::operator=(const ZGeoObj &right)
{
  if(this != &right)
  {
//  Copy Pointers:
//  Vorsicht bei schon gespeicherten GeoObjs!
    Count = right.Count;
    int i;
    for(i = 0; i < Count; i++)
      GeoObjs[i] = right.GeoObjs[i];
    for(; i < MAX; i++)
      GeoObjs[i] = NULL;
  }
  return *this;
}

void ZGeoObj::Add(GeoObj& _GeoObj)
{
  PRECONDITION(Count < MAX);
  GeoObjs[Count++] = &_GeoObj;
}

GeoObj* ZGeoObj::GetGeoObj(int i) const
{
  if(i < Count)
    return GeoObjs[i];
  else
    return NULL;
}

float ZGeoObj::flaeche() const
{
   float fl = 0.0;
   for(int i = 0; i < Count; i++)
      if(GeoObjs[i])
        fl +=  GeoObjs[i]->flaeche();
   return fl;
}
