// File: ArrInitT.h

#include <iostream.h>

template<class T>
ostream& printOn(ostream& ros, const T& rT, const char* tn)
{
  ros << "[" << tn << "] "
      << "i = " << rT.i
      << "; s = \"" << rT.s << "\"; f = " << rT.f << endl;
  return ros;
}

template<class T>
ostream& printOn(ostream& ros, const T* aT, int nElems, const char* tn)
{
  if(aT)
  {
    for(int i = 0; i < nElems; i++)
    {
      ros << "[" << tn << "][" << i << "] "
          << "i = " << aT[i].i
          << "; s = \"" << aT[i].s << "\"; f = " << aT[i].f << endl;
    }
  }
  return ros;
}
