// File: MultBase.h

#include <iostream.h>

class S {
  int s;
public:
  S(int _s) : s(_s){}
  void printS()
  { cout << s << "\n"; }
};

class A: public S {
  int x;
public:
  A(int _x)
  : S(111), x(_x){}
  void printA()
  { cout << x << "\n"; }
};

class B: public S {
  char y;
public:
  B(char _y)
  : S(222), y(_y){}
  void printB()
  { cout << y << "\n"; }
};

class C: public A, public B {
  float z;
public:
  C(int _A, char _B, float _z)
  : A(_A), B(_B), z(_z){}
  void printC()
  { A::printS(); B::printS(); printA(); printB();
  cout << z << "\n";
  }
};
