// File: RchtckRn.h

#ifndef RechteckRund_h
#define RechteckRund_h 1

#include <Rechteck.h>

class RechteckRund : public Rechteck  
{
private:
  static const float PI;
  float Radius;

protected:
  virtual int CompareTo(const GeoObj*) const;

public:
  RechteckRund(const Punkt& = Punkt(.0, .0),
               const Punkt& = Punkt(.0, .0), float = .0);
  RechteckRund(const RechteckRund &right);
    
  const RechteckRund & operator=(const RechteckRund &right);
    
  const float get_Radius() const;
  void set_Radius(const float value);

  virtual GeoObj* Clone() const;
  virtual float flaeche() const;
  virtual String GetTypeString() const;
  virtual void WriteOn(ostream&) const;
  virtual void ReadFrom(istream&);
};

inline const float RechteckRund::get_Radius() const
{
  return Radius;
}

inline void RechteckRund::set_Radius(const float value)
{
  Radius = value;
}

#endif
