// File: mGeoV.cc

#include <PunktV.h>
#include <RchteckV.h>
#include <RchtckRV.h>
#include <DreieckV.h>
#include <KreisV.h>
#include <ZGeoObjV.h>

int main()
{
   Rechteck r1(Punkt(0., 0.), Punkt(6., 5.));
   Rechteck r2(Punkt(6., 0.), Punkt(15., 5.));
   Dreieck   d(Punkt(0., 5.), Punkt(6., 5.), Punkt(3., 9.));
   ZGeoObj z1, z2;

  {  // Dieser Block erzeugt die Ausgabe wie im Teil 'A':
     cout << "Flaeche r1: " << r1.flaeche() << endl;
     cout << "Flaeche r2: " << r2.flaeche() << endl;
     cout << "Flaeche  d: " << d.flaeche() << endl;
     z1.Add(r1);
     z1.Add(d);
     cout << endl;
     cout << "Flaeche z1: " << z1.flaeche() << endl;
     z2.Add(z1);
     z2.Add(r2);
     cout << "Flaeche z2: " << z2.flaeche() << endl;
  }
/* erwartete Ausgabe:
Flaeche r1: 30
Flaeche r2: 45
Flaeche  d: 12

Flaeche z1: 42
Flaeche z2: 87
*/
}
